function sumErrSqr = model(x)
%REACT calculates the array of concenrations for
% A --> B --> C  where B0 = C0 = 0
  global tData
  global cData % a matrix
  n = length(tData);
  C  = zeros(1,3);
  A0 = x(1);
  B0 = x(2);
  k1 = x(3);
  k2 = x(4); 
  rB = k1/(k2-k1);
  sumErrSqr = 0;
  for i=1:n
    t = tData(i);
    C(1) = A0*exp(-k1*t);
    C(2) = A0*rB*(exp(-k1*t) - exp(-k2*t)) + B0*exp(-k2*t);
    C(3) = A0 - C(1) - C(2);
    for j=1:3
      sumErrSqr = sumErrSqr + (C(j) - cData(i,j))^2;
    end                   
  end
  sumErrSqr = sumErrSqr/3;
end

