function [Pobs,Pth,tArr] = react(A0,k,tArr,percErr)
%REACT calculates teh array of concenrations for
% A --> B and A --> C
% Note:
% k is an array of 2 values
% Pobs is a 2-column matrix for products 1 and 2
% Pth is a 2-column matrix for products 1 and 2
  n = length(tArr);
  Pth = zeros(n,3);
  Pobs = zeros(n,3);
  for i=1:n
    for j=1:3
      Pth(i,j) = A0*(1-exp(-k(j)*tArr(i)));
      Pobs(i,j) = Pth(i,j) * (1+percErr/100*(2*rand-1));
    end
  end
end

