function [Aobs,Ath,tArr] = react(A0,k,tArr,percErr)
%REACT calculates the array of concenrations for
% A = B, with rA = -k1*A
  n = length(tArr);
  A = zeros(1,n);
  for i=1:n
    Ath(i) = A0*exp(-k*tArr(i));
    Aobs(i) = Ath(i) * (1+percErr/100*(2*rand-1));
  end
end

