% Reversible Reaction:
% A + B <---> C
% A0 = B0 > 0 and C0 = 0
function xeq = calcXeq(A0,k1,k2)
%CALCXEQ Summary of this function goes here
%   Detailed explanation goes here
  K = k2/k1;
  a = 1;
  b = -(2*A0 + K); 
  c = A0^2;
  x1 = (-b + sqrt(b*b - 4*c))/2;
  x2 = (-b - sqrt(b*b - 4*c))/2;
  xeq = min([x1 x2]);
end

