function xe=newton4(x,toler,maxiter,K,A0,Mra,Msa)
  diff = 2*toler;
  i = 0;
  while i<=maxiter && abs(diff)>toler
    h = 0.001*(1 + abs(x));
    f0 = fx(x,K,A0,Mra,Msa);
    fp = fx(x+h,K,A0,Mra,Msa);
    fm = fx(x-h,K,A0,Mra,Msa);
    diff = 2*h*f0/(fp-fm);
    x = x - diff;
    i = i + 1;
  end
  xe = x;
end

function y=fx(x,K,A0,Mra,Msa)
  y = K*(1-x) - A0*(Mra+x)*(Msa+x);
end