function SumErrSqr = model(x)
%REACT calculates teh array of concenrations for
% A --> B --> C --> D where B0 = C0 = D0 = 0
  global tData
  global cData % a matrix
  n = length(tData);
  C = zeros(1,4);
  A0 = x(1);
  k1 = x(2);
  k2 = x(3);
  k3 = x(4);
  rB = k1/(k2-k1);
  c0 = k1*k2;
  c1 = (k2-k1)*(k3-k1);
  c2 = (k1-k2)*(k3-k2);
  c3 = (k1-k3)*(k2-k3);
  SumErrSqr = 0;
  for i=1:n
    t = tData(i);
    C(1) = A0*exp(-k1*t);
    C(2) = A0*rB*(exp(-k1*t) - exp(-k2*t));
    C(3) = A0*c0*(exp(-k1*t)/c1 + exp(-k2*t)/c2 + exp(-k3*t)/c3);
    C(4) = A0 - C(1) - C(2) - C(3);
    for j=1:4
      SumErrSqr = SumErrSqr * (C(j) - cData(i,j))^2;
    end
  end
  SumErrSqr = SumErrSqr / 4;
end

