function [Aobs,Ath,Bobs,Bth,tArr] = react(A0,k1,k2,tArr,percErr)
%REACT calculates teh array of concenrations for
  n = length(tArr);
  Ath = zeros(1,n);
  Aobs = Ath;
  Bobs = Aobs;
  Bth = Bobs;
  r = k1/k2;
  xinf = r*A0/(1 + r);
  beta = k1 + k2;
  for i=1:n
    x = xinf*(1 - exp(-beta*tArr(i)));
    Ath(i) = A0 - x;
    Bth(i) = x;
    Aobs(i) = Ath(i) * (1+percErr/100*(2*rand-1));
    Bobs(i) = Bth(i) * (1+percErr/100*(2*rand-1));
  end
end

