function [Aobs,Ath,Bobs,Bth,tArr] = react(A0,B0,k1,k2,tArr,percErr)
%REACT calculates teh array of concenrations for
  n = length(tArr);
  Ath = zeros(1,n);
  Aobs = Ath;
  Bobs = Aobs;
  Bth = Bobs;
  beta = k1 + k2;
  alpha = k1*A0 - k2*B0;
  gamma = alpha/beta;
  for i=1:n
    x = gamma*(1 - exp(-beta*tArr(i)));
    Ath(i) = A0 - x;
    Bth(i) = B0 + x;
    Aobs(i) = Ath(i) * (1+percErr/100*(2*rand-1));
    Bobs(i) = Bth(i) * (1+percErr/100*(2*rand-1));
  end
end

