function [Xobs,Xth,tArr] = react(A0,B0,k,tArr,percErr)
%REACT2 calculates the array of concenrations for product X
% Reaction is A + B --> X
  n = length(tArr);
  Xth = zeros(1,n);
  Xobs = zeros(1,n);    
  
  K = k*(B0 - A0);
  r = A0/B0;
  c = (B0 - A0)*r;
  for i=1:n
    ex = exp(-K*tArr(i));
    Ath = c*ex/(1 - r*ex);
    Xth(i) = A0 - Ath;
    Xobs(i) = Xth(i) * (1+percErr/100*(2*rand-1));
  end
end

