function [Aobs,Ath,tArr] = react(A0,B0,k,tArr,percErr)
%REACT2 calculates the array of concenrations for reactant A
  n = length(tArr);
  Ath = zeros(1,n);
  Aobs = zeros(1,n);
  for i=1:n
    K = k*(A0 - B0);
    r = A0/B0;
    c = (B0 - A0)*r;
    ex = exp(K*tArr(i));
    Ath(i) = c*ex/(1 - r*ex);
    Aobs(i) = Ath(i) * (1+percErr/100*(2*rand-1));
  end
end

