function r = rsqr(y,f)
%RSQR Summary of this function goes here
%   Detailed explanation goes here
 n=length(y);
 ymean = mean(y);
 SSres = 0;
 SStot = 0;
 for i=1:n
   SSres = SSres + (y(i) - f(i))^2;
   SStot = SStot + (y(i) - ymean)^2;
 end
 if SSres <= SStot
   r = 1 - SSres/SStot;
 else
   r = -1*(1 - SStot/SSres);
 end
end
