function xe=newton3(x,toler,maxiter,K,A0,Mra,Mba)
  diff = 2*toler;
  i = 0;
  while i<=maxiter && abs(diff)>toler
    h = 0.001*(1 + abs(x));
    f0 = fx(x,K,A0,Mra,Mba);
    fp = fx(x+h,K,A0,Mra,Mba);
    fm = fx(x-h,K,A0,Mra,Mba);
    diff = 2*h*f0/(fp-fm);
    x = x - diff;
    i = i + 1;
  end
  xe = x;
end

function y=fx(x,K,A0,Mra,Mba)
  y = K*A0*(1-x)*(Mba-x) - (Mra+x);
end